from django.urls import path
from .views import (
    TicketCreateView,
    TicketListView,
    TicketDetailView,
    MessageCreateView,
    UpdateTicketStatusView
)

urlpatterns = [
    path('create', TicketCreateView.as_view(), name='ticket-create'),
    path('', TicketListView.as_view(), name='ticket-list'),
    path('<int:pk>', TicketDetailView.as_view(), name='ticket-detail'),
    path('<int:pk>/messages', MessageCreateView.as_view(), name='message-create'),
    path('<int:pk>/update-status', UpdateTicketStatusView.as_view(), name='update-ticket-status'),
]